## placement 5.0.0

=== debian/changelog ===
placement (1:5.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 12:50:12 +0000

placement (1:5.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Track 5.x series.
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Apr 2021 14:44:52 -0400

placement (1:4.0.0+git2021012713.fa95ef87-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 07:33:43 +0000

placement (1:4.0.0+git2020121013.c02a073c-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 13:21:21 +0000

placement (4.1.0~b1~git2020120812.471e4cc8-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 08 Dec 2020 12:13:28 +0000

placement (4.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 09:30:25 -0400

placement (4.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 4.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 13:21:48 -0400

placement (4.0.0~b3~git2020091409.471e4cc8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 09:21:55 +0000

placement (4.0.0~b2~git2020073016.df56e21c-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Drop min version of openstack-pkg-tools.
  * d/control, d/copyright: Update upstream URL.
  * d/control: Add autopkgtest-pkg-python testsuite.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:03:18 -0400

placement (4.0.0~b1~git2020070114.2009e613-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 01 Jul 2020 14:14:04 +0000

placement (3.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Track 3.x series.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:46:36 -0400

## placement 5.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2 # MIT
jsonschema>=3.2.0 # MIT
requests>=2.25.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.7.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.db>=4.40.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
# NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
os-resource-classes>=0.5.0 # Apache-2.0
os-traits>=2.5.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (1:5.0.1-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1935027).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 08 Jul 2021 12:55:57 +0000

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 12),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 crudini,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-hacking (>= 1.1.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 2.5.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.5.0),
 python3-osprofiler (>= 1.4.0),
 python3-pkg-resources (>= 21.0.0),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.8.0),
 python3-reno (>= 2.11.2),
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-wsgi-intercept (>= 1.7.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Homepage: https://opendev.org/openstack/placement
Testsuite: autopkgtest-pkg-python

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: OpenStack Placement - documentation
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement documentation.

Package: placement-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Placement - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement API frontend for managing resource
 providers.

Package: python3-placement
Architecture: all
Section: python
Depends:
 placement-common (= ${source:Version}),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-os-resource-classes (>= 0.5.0),
 python3-os-traits (>= 2.5.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 3.1.1),
 python3-pkg-resources (>= 21.0.0),
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Placement - Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains the Python 3 placement libraries.

Package: placement-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Placement - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack-placement-(5.\d.*)\.tar\.gz

## placement 6.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 oslo.db>=4.40.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=3.7.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
-os-resource-classes>=0.5.0 # Apache-2.0
-os-traits>=2.5.0 # Apache-2.0
+os-resource-classes>=1.1.0 # Apache-2.0
+os-traits>=2.6.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (6.0.0-2~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add (backports of) patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Tue, 21 Oct 2025 13:04:17 +0000

placement (6.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 14:23:30 +0200

placement (6.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.
  * Add oslo.concurrency namespace when using oslo-config-generator.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 23:11:43 +0200

placement (6.0.0~rc1-2) experimental; urgency=medium

  * Comment out deprecated policies, otherwise, Placement doesn't work.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Sep 2021 17:28:00 +0200

placement (6.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 17 Sep 2021 13:43:51 +0200

placement (5.0.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 13:41:35 +0200

placement (5.0.1-1) experimental; urgency=medium

  [ Michal Arbet ]
  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 26 Jun 2021 12:11:47 +0200

placement (5.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Apr 2021 16:54:12 +0200

placement (5.0.0~rc1-1) experimental; urgency=medium

  * Tune placement-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 11:06:40 +0100

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-alembic,
 python3-coverage,
 python3-fixtures,
 python3-gabbi,
 python3-hacking,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-osprofiler <!nodoc>,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification <!nodoc>,
 python3-sphinxcontrib.actdiag <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webob,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/placement
Vcs-Git: https://salsa.debian.org/openstack-team/services/placement.git
Homepage: https://github.com/openstack/placement

Package: placement-api
Architecture: all
Depends:
 adduser,
 debconf,
 placement-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-osc-placement,
Description: OpenStack resource inventory Placement - API server
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Placement API server.

Package: placement-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack resource inventory Placement - common files
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains common files for OpenStack Placement.

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack resource inventory Placement - Documentation
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the documentation.

Package: python3-placement
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.6.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack resource inventory Placement - Python library
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PLACEMENT_CONF=$(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm placement-common.postrm
	pkgos-merge-templates placement-api placement endpoint
	pkgos-merge-templates placement-common placement db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'placement\.tests\.unit\..*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/placement-common/usr/share/placement-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(PLACEMENT_CONF) \
		--namespace placement.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace osprofiler

	mkdir -p $(CURDIR)/debian/placement-common/etc/placement/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
                --output-file=$(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml \
                --format yaml \
		--namespace placement

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml


	# Comment out deprecated policies, otherwise, Placement doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf oslo_policy policy_dirs /etc/placement/policy.d

	# Fix config default value
	# Add missing options to keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(PLACEMENT_CONF) keystone_authtoken placement
	pkgos-fix-config-default $(PLACEMENT_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages

	# Add mysql-migrate-db.sh script to package if present
	if [ -e $(CURDIR)/tools/mysql-migrate-db.sh ]; then \
		cp $(CURDIR)/tools/mysql-migrate-db.sh \
		$(CURDIR)/debian/placement-common/usr/share/placement-common/mysql-migrate-db.sh ; \
	fi

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/placement-doc/usr/share/doc/placement-doc/html
	dh_sphinxdoc
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## placement 7.0.0

=== requirements.txt ===
--- 
+++ 
@@ -22,5 +22,5 @@
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=2.6.0 # Apache-2.0
+os-traits>=2.7.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
placement (1:7.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 7.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 08:11:08 -0400

placement (1:6.0.0+git2022030314.ff0f2dda-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 14:38:28 -0500

placement (1:6.0.0+git2022011309.d48d22ff-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Jan 2022 09:41:20 -0500

placement (1:6.0.0+git2021120815.6e8c4cbf-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 15:47:31 -0500

placement (1:6.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 6.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 11:54:52 -0400

placement (1:5.0.1+git2021090912.8b000867-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:04:48 -0400

placement (1:5.0.1+git2021072117.8d4c1c20-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:41:44 -0400

placement (1:5.0.1+git2021061405.7e0f288d-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 14 Jun 2021 07:36:37 +0000

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 crudini,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.7.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.5.0),
 python3-osprofiler (>= 1.4.0),
 python3-pkg-resources (>= 21.0.0),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.8.0),
 python3-reno,
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-wsgi-intercept (>= 1.7.0),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Homepage: https://opendev.org/openstack/placement
Testsuite: autopkgtest-pkg-python

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: OpenStack Placement - documentation
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement documentation.

Package: placement-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Placement - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement API frontend for managing resource
 providers.

Package: python3-placement
Architecture: all
Section: python
Depends:
 placement-common (= ${source:Version}),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.7.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.40.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 3.1.1),
 python3-pkg-resources (>= 21.0.0),
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Placement - Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains the Python 3 placement libraries.

Package: placement-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Placement - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack-placement-(7.\d.*)\.tar\.gz

## placement 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,9 +1,13 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
 pbr>=3.1.1 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.0 # MIT
 keystonemiddleware>=4.18.0 # Apache-2.0
 Routes>=2.3.1 # MIT
 WebOb>=1.8.2 # MIT
@@ -16,11 +20,11 @@
 oslo.log>=4.3.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
-oslo.db>=4.40.0 # Apache-2.0
+oslo.db>=8.6.0 # Apache-2.0
 oslo.policy>=3.7.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=2.7.0 # Apache-2.0
+os-traits>=2.8.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (8.0.0-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 15:21:36 +0200

placement (8.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:53:54 +0200

placement (8.0.0~rc1-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Sep 2022 17:01:44 +0200

placement (8.0.0~rc1-2) experimental; urgency=medium

  * Removed --namespace oslo.concurrency when generating the config file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 21 Sep 2022 14:33:55 +0200

placement (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 14:39:16 +0200

placement (7.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 22:11:09 +0200

placement (7.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:31:31 +0100

placement (7.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Mar 2022 21:20:24 +0100

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-alembic,
 python3-coverage,
 python3-fixtures,
 python3-gabbi,
 python3-hacking,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.8.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 8.6.0),
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-osprofiler <!nodoc>,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification <!nodoc>,
 python3-sphinxcontrib.actdiag <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr,
 python3-testtools,
 python3-webob,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/placement
Vcs-Git: https://salsa.debian.org/openstack-team/services/placement.git
Homepage: https://github.com/openstack/placement

Package: placement-api
Architecture: all
Depends:
 adduser,
 debconf,
 placement-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Recommends:
 python3-osc-placement,
Description: OpenStack resource inventory Placement - API server
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Placement API server.

Package: placement-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack resource inventory Placement - common files
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains common files for OpenStack Placement.

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack resource inventory Placement - Documentation
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the documentation.

Package: python3-placement
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 2.8.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 8.6.0),
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-routes,
 python3-sqlalchemy (>= 1.4.0),
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack resource inventory Placement - Python library
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Python libraries.

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,6 @@
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.log \
 		--namespace oslo.middleware.cors \
-		--namespace oslo.concurrency \
 		--namespace oslo.policy \
 		--namespace osprofiler

## placement 9.0.0

=== debian/changelog ===
placement (9.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Tue, 21 Oct 2025 12:50:30 +0000

placement (9.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1049217).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 14:42:00 +0200

placement (9.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:42:05 +0200

placement (9.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 17:47:10 +0200

placement (9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:39:52 +0100

placement (9.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of os-traits, and removed version when statisfied in
    Bookworm.
  * Removed deps on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 16:22:26 +0100

=== debian/control ===
--- 
+++ 
@@ -27,17 +27,17 @@
  python3-microversion-parse,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
- python3-os-resource-classes (>= 1.1.0),
- python3-os-traits (>= 2.8.0),
+ python3-os-resource-classes,
+ python3-os-traits (>= 2.10.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 8.6.0),
+ python3-oslo.db,
  python3-oslo.log,
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-oslotest <!nodoc>,
  python3-osprofiler <!nodoc>,
@@ -48,7 +48,7 @@
  python3-sphinx-feature-classification <!nodoc>,
  python3-sphinxcontrib.actdiag <!nodoc>,
  python3-sphinxcontrib.seqdiag <!nodoc>,
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy,
  python3-stestr,
  python3-testtools,
  python3-webob,
@@ -71,7 +71,6 @@
  q-text-as-data,
  uwsgi-plugin-python3,
  ${misc:Depends},
- ${ostack-lsb-base},
  ${python3:Depends},
 Recommends:
  python3-osc-placement,
@@ -119,22 +118,22 @@
  python3-jsonschema,
  python3-keystonemiddleware,
  python3-microversion-parse,
- python3-os-resource-classes (>= 1.1.0),
- python3-os-traits (>= 2.8.0),
+ python3-os-resource-classes,
+ python3-os-traits (>= 2.10.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
- python3-oslo.db (>= 8.6.0),
+ python3-oslo.db,
  python3-oslo.log,
  python3-oslo.middleware,
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy,
  python3-oslo.serialization,
- python3-oslo.upgradecheck (>= 1.3.0),
+ python3-oslo.upgradecheck,
  python3-oslo.utils,
  python3-pbr,
  python3-requests,
  python3-routes,
- python3-sqlalchemy (>= 1.4.0),
+ python3-sqlalchemy,
  python3-webob,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,11 @@
 	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	find . -iname '*.pyc' -delete
 	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
 	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
-	rm -rf build
+	rm -rf build doc/source/_static/*.sample *.egg-info .stestr debian/po
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## placement 9.0.0+git2023071215.07b2a3a2

=== debian/changelog ===
placement (1:9.0.0+git2023071215.07b2a3a2-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 15:09:26 -0400

placement (1:9.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:19:21 -0400

placement (1:9.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 08:00:00 -0500

placement (1:8.0.0+git2023011011.1c8afcd3-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 11:04:29 -0500

placement (1:8.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 8.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 15:55:39 -0400

placement (1:7.0.0+git2022091213.5ec38f6d-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 13:54:52 -0400

placement (1:7.0.0+git2022071414.d723f225-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/placement-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 14:51:38 -0400

placement (1:7.0.0+git2022060610.03d56792-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 10:34:41 -0400
